<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2010 (http://www.altova.com) by Vaclav Snasel (Logica Czech Republic s.r.o.) -->
<!-- edited with XMLSPY v5 rel. 2 U (http://www.xmlspy.com) by Ondrej Holub (Logica CZ) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/cds/temperature" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/cds/temperature" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="TEMPERATURE">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Profile" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Teplotní profil</xsd:documentation>
						<xsd:documentation xml:lang="EN">Temperature profile</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Data" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Data pro profil a časový interval</xsd:documentation>
									<xsd:documentation xml:lang="EN">Data for profile and time interval</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="date-time-from" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Počátek platnosti dat</xsd:documentation>
											<xsd:documentation xml:lang="EN">Beginning of data validity</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="date-time-to" type="xsd:dateTime" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Konec platnosti dat</xsd:documentation>
											<xsd:documentation xml:lang="EN">End of data validity</xsd:documentation>
										</xsd:annotation>
									</xsd:attribute>
									<xsd:attribute name="qty" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Množství na max. jedno desetinné číslo (ne exponenciální tvar)</xsd:documentation>
											<xsd:documentation xml:lang="EN">Amount - max. 1 decimal place (not an exponential form)</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:pattern value="-?\d+(\.\d)?"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="unit" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jednotka vztahující se k množství</xsd:documentation>
											<xsd:documentation xml:lang="EN">Unit for amount</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="3"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="temp-area" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Teplotní oblast</xsd:documentation>
								<xsd:documentation xml:lang="EN">Temperature area</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="value-type" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Typ hodnoty ('A' - aktuální, 'N' - normální)</xsd:documentation>
								<xsd:documentation xml:lang="EN">Value type ('A' - actual, 'N' - normal)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="A">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Aktuální</xsd:documentation>
											<xsd:documentation xml:lang="EN">Actual</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="N">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Normální</xsd:documentation>
											<xsd:documentation xml:lang="EN">Normal</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="profile-version" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Verze dat</xsd:documentation>
								<xsd:documentation xml:lang="EN">Data version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="00">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Predikce</xsd:documentation>
											<xsd:documentation xml:lang="EN">Prediction</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="01">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Aktualizovaná predikce</xsd:documentation>
											<xsd:documentation xml:lang="EN">Updated prediction</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="99">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Skutečná</xsd:documentation>
											<xsd:documentation xml:lang="EN">Real</xsd:documentation>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code - mesage content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="511">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zpráva pro zaslání normální a skutečné průměrné denní teploty</xsd:documentation>
								<xsd:documentation xml:lang="EN">Message for sending of normal and metered average daily temperatures</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="531">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Zpráva pro zaslání predikované teploty</xsd:documentation>
								<xsd:documentation xml:lang="EN">Message for sending predicted temperatures</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze, zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
